﻿using System;
namespace YEA.Infrastructure.Gateway
{
    public interface IGatewayFactory : IDisposable
    {
        IAsyncConsumerProcessor GetAsyncReceiver(string ReceiverName, MessageConsumer handler);
        IPublisher GetPublisher(string PublisherName, ConvertToMessage converter);
    }
}
