﻿using System;
namespace YEA.Utilities
{
    public interface IExceptionManager
    {
        bool ManageException(Exception ex);
        bool ManageException(Exception ex, YEA.Utilities.Logging.LogType loglevel);
    }
    public class NullExceptionManager : IExceptionManager
    {
        public bool ManageException(Exception ex)
        {
            return true;
        }

        public bool ManageException(Exception ex, Logging.LogType loglevel)
        {
            return true;
        }
    }


}
